import React from 'react';
import { SaveStateI, useSessionCache } from '@graphpolaris/shared/lib/data-access';

export const DatabaseMenu = (props: { onClick: (database: string) => void }) => {
  const session = useSessionCache();

  return (
    <ul className="menu dropdown-content absolute right-48 z-[1] p-2 shadow-xl bg-secondary-50 rounded-box w-52" tabIndex={0}>
      {session.saveStates &&
        Object.values(session.saveStates).map((ss: SaveStateI) => (
          <li key={ss.name}>
            <button onClick={() => props.onClick(ss.name)}>{ss.name}</button>
          </li>
        ))}
    </ul>
  );
};
